Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom.xml
Class JTXMLTags

`java.lang.Object
oracle.jbo.mom.Tags
oracle.jbo.mom.xml.JTXMLTags`

public class JTXMLTags
extends Tags

Version:
  INTERNAL

Field Summary
`static java.lang.String` | `ACCESSOR_ATTRIBUTE`
`static java.lang.String` | `APPMODULE`
`static java.lang.String` | `APPMODULE_REMOTE`
`static java.lang.String` | `APPMODULE_USAGE`
`static java.lang.String` | `ASSOCIATION`
`static java.lang.String` | `ASSOCIATION_ACCESSOR`
`static java.lang.String` | `ASSOCIATION_END`
`static java.lang.String` | `ATTR_LOAD_BULK`
`static java.lang.String` | `ATTR_LOAD_EACH`
`static java.lang.String` | `ATTR_LOAD_SKIP`
`static java.lang.String` | `ATTRIBUTES`
`static java.lang.String` | `BINDING_STYLE_JDBC`
`static java.lang.String` | `BINDING_STYLE_ORACLE`
`static java.lang.String` | `BINDING_STYLE_ORACLE_NAME`
`static java.lang.String` | `CMP_ATTR`
`static java.lang.String` | `CMPENTITY`
`static java.lang.String` | `COMPARE_VALIDATOR`
`static java.lang.String` | `COMPONENT_OBJECT`
`static java.lang.String` | `COMPONENT_OBJECT_USAGE`
`static java.lang.String` | `CONNECTION`
`static java.lang.String` | `CUSTOM_ATTRIBUTE`
`static java.lang.String` | `DATABASE_ATTR`
`static java.lang.String` | `DATE_HISTORY`
`static java.lang.String` | `DOMAIN`
`static java.lang.String` | `DOMAIN_ATTR`
`static java.lang.String` | `EJBPACKAGE`
`static java.lang.String` | `ENTITY`
`static java.lang.String` | `ENTITY_ATTR`
`static java.lang.String` | `ENTITY_DISCR_COLUMN`
`static java.lang.String` | `ENTITY_IMPORTS`
`static java.lang.String` | `ENTITY_USAGE`
`static java.lang.String` | `ENTITYBEAN_FINDER`
`static java.lang.String` | `ENTITYBEANCLASS`
`static java.lang.String` | `EVENT_PUBLISHER`
`static java.lang.String` | `EXTENDED_DATA_INTS`
`static java.lang.String` | `KEY`
`static java.lang.String` | `KEY_ATTRIBUTES`
`static java.lang.String` | `LENGTH_VALIDATOR`
`static java.lang.String` | `LIST_VALIDATOR`
`static java.lang.String` | `METHOD_VALIDATOR`
`static java.lang.String` | `NON_HISTORY`
`static java.lang.String` | `OBJECT`
`static java.lang.String` | `PACKAGE`
`static java.lang.String` | `QUERY_ASSOCIATION`
`static java.lang.String` | `RANGE_VALIDATOR`
`static java.lang.String` | `REGEXP_VALIDATOR`
`static java.lang.String` | `REGISTERED_RULE`
`static java.lang.String` | `SUBSCRIBE_EVENT`
`static java.lang.String` | `SUBSCRIBE_METHOD`
`static java.lang.String` | `UNIQUEPK_VALIDATOR`
`static java.lang.String` | `UPDATEABLE_FALSE`
`static java.lang.String` | `UPDATEABLE_TRUE`
`static java.lang.String` | `UPDATEABLE_WHILE_INSERT`
`static java.lang.String` | `USER_HISTORY`
`static java.lang.String` | `VALIDATION_BEAN`
`static java.lang.String` | `VARIABLE`
`static java.lang.String` | `VERSION_HISTORY`
`static java.lang.String` | `VIEW_ATTR`
`static java.lang.String` | `VIEW_IMPORTS`
`static java.lang.String` | `VIEW_LINK`
`static java.lang.String` | `VIEW_LINK_ACCESSOR`
`static java.lang.String` | `VIEW_LINK_DEF_END`
`static java.lang.String` | `VIEW_LINK_USAGE`
`static java.lang.String` | `VIEW_OBJECT`
`static java.lang.String` | `VIEW_USAGE`
`static java.lang.String` | `VIEWOBJ_ATTR`

Fields inherited from class oracle.jbo.mom.Tags
`_NAME, CONTAINEE, CONTAINER, DEFAULT_VALUE, EXPRESSION, ID, IS_NOTNULL, IS_QUERYABLE, IS_UPDATEABLE, KIND, NAME, NAMED_DATA, NEW_NAME, OBJECT_TYPE, OLD_NAME, PRECISION, PROJECT, SCALE, SUBSTITUTE, SUBSTITUTES, TYPE, VALUE`

Constructor Summary
`JTXMLTags()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTITY

    public static final java.lang.String ENTITY

  See Also:
    Constant Field Values

### CMPENTITY

    public static final java.lang.String CMPENTITY

  See Also:
    Constant Field Values

### DATABASE_ATTR

    public static final java.lang.String DATABASE_ATTR

  See Also:
    Constant Field Values

### ENTITY_ATTR

    public static final java.lang.String ENTITY_ATTR

  See Also:
    Constant Field Values

### ENTITY_DISCR_COLUMN

    public static final java.lang.String ENTITY_DISCR_COLUMN

  See Also:
    Constant Field Values

### VIEW_ATTR

    public static final java.lang.String VIEW_ATTR

  See Also:
    Constant Field Values

### CMP_ATTR

    public static final java.lang.String CMP_ATTR

  See Also:
    Constant Field Values

### DOMAIN_ATTR

    public static final java.lang.String DOMAIN_ATTR

  See Also:
    Constant Field Values

### CONNECTION

    public static final java.lang.String CONNECTION

  See Also:
    Constant Field Values

### VIEW_OBJECT

    public static final java.lang.String VIEW_OBJECT

  See Also:
    Constant Field Values

### VIEWOBJ_ATTR

    public static final java.lang.String VIEWOBJ_ATTR

  See Also:
    Constant Field Values

### ENTITY_USAGE

    public static final java.lang.String ENTITY_USAGE

  See Also:
    Constant Field Values

### ASSOCIATION

    public static final java.lang.String ASSOCIATION

  See Also:
    Constant Field Values

### QUERY_ASSOCIATION

    public static final java.lang.String QUERY_ASSOCIATION

  See Also:
    Constant Field Values

### ASSOCIATION_END

    public static final java.lang.String ASSOCIATION_END

  See Also:
    Constant Field Values

### ASSOCIATION_ACCESSOR

    public static final java.lang.String ASSOCIATION_ACCESSOR

  See Also:
    Constant Field Values

### ACCESSOR_ATTRIBUTE

    public static final java.lang.String ACCESSOR_ATTRIBUTE

  See Also:
    Constant Field Values

### CUSTOM_ATTRIBUTE

    public static final java.lang.String CUSTOM_ATTRIBUTE

  See Also:
    Constant Field Values

### VARIABLE

    public static final java.lang.String VARIABLE

  See Also:
    Constant Field Values

### VIEW_LINK_DEF_END

    public static final java.lang.String VIEW_LINK_DEF_END

  See Also:
    Constant Field Values

### OBJECT

    public static final java.lang.String OBJECT

  See Also:
    Constant Field Values

### COMPONENT_OBJECT

    public static final java.lang.String COMPONENT_OBJECT

  See Also:
    Constant Field Values

### COMPONENT_OBJECT_USAGE

    public static final java.lang.String COMPONENT_OBJECT_USAGE

  See Also:
    Constant Field Values

### VIEW_USAGE

    public static final java.lang.String VIEW_USAGE

  See Also:
    Constant Field Values

### VIEW_LINK_USAGE

    public static final java.lang.String VIEW_LINK_USAGE

  See Also:
    Constant Field Values

### VIEW_LINK

    public static final java.lang.String VIEW_LINK

  See Also:
    Constant Field Values

### VIEW_LINK_ACCESSOR

    public static final java.lang.String VIEW_LINK_ACCESSOR

  See Also:
    Constant Field Values

### DOMAIN

    public static final java.lang.String DOMAIN

  See Also:
    Constant Field Values

### KEY

    public static final java.lang.String KEY

  See Also:
    Constant Field Values

### APPMODULE

    public static final java.lang.String APPMODULE

  See Also:
    Constant Field Values

### APPMODULE_USAGE

    public static final java.lang.String APPMODULE_USAGE

  See Also:
    Constant Field Values

### APPMODULE_REMOTE

    public static final java.lang.String APPMODULE_REMOTE

  See Also:
    Constant Field Values

### PACKAGE

    public static final java.lang.String PACKAGE

  See Also:
    Constant Field Values

### EJBPACKAGE

    public static final java.lang.String EJBPACKAGE

  See Also:
    Constant Field Values

### UNIQUEPK_VALIDATOR

    public static final java.lang.String UNIQUEPK_VALIDATOR

  See Also:
    Constant Field Values

### RANGE_VALIDATOR

    public static final java.lang.String RANGE_VALIDATOR

  See Also:
    Constant Field Values

### COMPARE_VALIDATOR

    public static final java.lang.String COMPARE_VALIDATOR

  See Also:
    Constant Field Values

### LIST_VALIDATOR

    public static final java.lang.String LIST_VALIDATOR

  See Also:
    Constant Field Values

### METHOD_VALIDATOR

    public static final java.lang.String METHOD_VALIDATOR

  See Also:
    Constant Field Values

### LENGTH_VALIDATOR

    public static final java.lang.String LENGTH_VALIDATOR

  See Also:
    Constant Field Values

### REGEXP_VALIDATOR

    public static final java.lang.String REGEXP_VALIDATOR

  See Also:
    Constant Field Values

### VALIDATION_BEAN

    public static final java.lang.String VALIDATION_BEAN

  See Also:
    Constant Field Values

### REGISTERED_RULE

    public static final java.lang.String REGISTERED_RULE

  See Also:
    Constant Field Values

### EVENT_PUBLISHER

    public static final java.lang.String EVENT_PUBLISHER

  See Also:
    Constant Field Values

### SUBSCRIBE_METHOD

    public static final java.lang.String SUBSCRIBE_METHOD

  See Also:
    Constant Field Values

### SUBSCRIBE_EVENT

    public static final java.lang.String SUBSCRIBE_EVENT

  See Also:
    Constant Field Values

### UPDATEABLE_TRUE

    public static final java.lang.String UPDATEABLE_TRUE

  See Also:
    Constant Field Values

### UPDATEABLE_FALSE

    public static final java.lang.String UPDATEABLE_FALSE

  See Also:
    Constant Field Values

### UPDATEABLE_WHILE_INSERT

    public static final java.lang.String UPDATEABLE_WHILE_INSERT

  See Also:
    Constant Field Values

### ATTR_LOAD_EACH

    public static final java.lang.String ATTR_LOAD_EACH

  See Also:
    Constant Field Values

### ATTR_LOAD_BULK

    public static final java.lang.String ATTR_LOAD_BULK

  See Also:
    Constant Field Values

### ATTR_LOAD_SKIP

    public static final java.lang.String ATTR_LOAD_SKIP

  See Also:
    Constant Field Values

### BINDING_STYLE_JDBC

    public static final java.lang.String BINDING_STYLE_JDBC

  See Also:
    Constant Field Values

### BINDING_STYLE_ORACLE

    public static final java.lang.String BINDING_STYLE_ORACLE

  See Also:
    Constant Field Values

### BINDING_STYLE_ORACLE_NAME

    public static final java.lang.String BINDING_STYLE_ORACLE_NAME

  See Also:
    Constant Field Values

### ENTITYBEAN_FINDER

    public static final java.lang.String ENTITYBEAN_FINDER

  See Also:
    Constant Field Values

### ENTITYBEANCLASS

    public static final java.lang.String ENTITYBEANCLASS

  See Also:
    Constant Field Values

### ATTRIBUTES

    public static final java.lang.String ATTRIBUTES

  See Also:
    Constant Field Values

### KEY_ATTRIBUTES

    public static final java.lang.String KEY_ATTRIBUTES

  See Also:
    Constant Field Values

### ENTITY_IMPORTS

    public static final java.lang.String ENTITY_IMPORTS

  See Also:
    Constant Field Values

### VIEW_IMPORTS

    public static final java.lang.String VIEW_IMPORTS

  See Also:
    Constant Field Values

### EXTENDED_DATA_INTS

    public static final java.lang.String EXTENDED_DATA_INTS

  See Also:
    Constant Field Values

### NON_HISTORY

    public static final java.lang.String NON_HISTORY

  See Also:
    Constant Field Values

### DATE_HISTORY

    public static final java.lang.String DATE_HISTORY

  See Also:
    Constant Field Values

### USER_HISTORY

    public static final java.lang.String USER_HISTORY

  See Also:
    Constant Field Values

### VERSION_HISTORY

    public static final java.lang.String VERSION_HISTORY

  See Also:
    Constant Field Values

Constructor Detail

### JTXMLTags

    public JTXMLTags()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.